# xcapp

```xcapp``` is a command line tool for creating iOS XCode projects with a set of common files included in a really easy way.

## Commands

### create
Creates a new iOS Xcode project

```sh
xcapp create [App Name]
```

#### Options
- ```--lang LANGUAGE```: Sets __LANGUAGE__ as the project language. Available options are ```swift``` and ```objc```.
- ```--bundle-identifier IDENTIFIER```: Sets the Bundle Identifier for the app (e.g. ```com.company.MyApp```).

If neither the _App Name_ nor the options are provided they will be asked interactively once the command is run.

#### Examples

Create the MyApp project:

```sh
xcapp create MyApp
```

Creates "MyApp" project inside the MyApp directory. The bundle identifier and language options will be asked when the command is run.

# TODO
- Integrate with ```cocoapods```
- Integrate with ```fastlane```
- Opt-in/out testing:
  - Add the tests files
  - Add the tests target
  - Add cocoapods dependencies for testing
    - __Quick__ and __Nimble__ for Swift projects
    - __Kiwi__ for Objective-C projects
